#include <bits/stdc++.h>
using namespace std;
int k;
int tich(int n)
{

	if(n==1)return 1;
	else return n*tich(n-2);
}
int tong(int m)
{
	if(m==1)return 1;
	else return m+tong(m-2);
}
int main()
{
	ifstream f1("DQPS.INP");
	ofstream f2("DQPS.OUT");
	int n;
	f1>>n;
	int k=2*n+1;
	f2<<tich(k)<<endl<<tong(k);
	f1.close();
	f2.close();
}
